<!--
This is generated by ESQL's AbstractFunctionTestCase. Do no edit it. See ../README.md for how to regenerate it.
-->

### MATCH
Use `MATCH` to perform a <<query-dsl-match-query,match query>> on the specified field.
Using `MATCH` is equivalent to using the `match` query in the Elasticsearch Query DSL.

Match can be used on fields from the text family like <<text, text>> and <<semantic-text, semantic_text>>,
as well as other field types like keyword, boolean, dates, and numeric types.

Match can use <<esql-function-named-params,function named parameters>> to specify additional options for the match query.
All <<match-field-params,match query parameters>> are supported.

For a simplified syntax, you can use the <<esql-search-operators,match operator>> `:` operator instead of `MATCH`.

`MATCH` returns true if the provided query matches the row.

```
FROM books 
| WHERE MATCH(author, "Faulkner")
| KEEP book_no, author 
| SORT book_no 
| LIMIT 5
```
